:root {
  --em: 16px; /*1em*/
  --height: 151px; /*banner height*/
  --width: 936px; /*design width*/
}
html {
  margin-left: calc(100vw - 100%);
  overflow: auto;
}
body {
  background: url(../img/background.png) repeat-x;
  font: 1em Vollkorn, serif;
  margin: 0 auto; /*center the content*/
  position: relative; /*ILD1_edit_resize.png*/
  width: var(--width);
}
hr {
  background-image: linear-gradient( to right, rgba(0, 0, 0, 0.0), rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.0) ); /*black*/
  border: 0;
  height: 1px;
  margin-left: 1em;
  margin-right: 1em;
}
header {
  background: url(../img/banner_resize.png) repeat-x;
  height: 11px;
  margin-bottom: 1px;
  margin-top: 1px;
}
.default, div.space, svg text, .fancy, .fancy cite, .TOC, .model, .equation, .percent, .prozent, .padding-left, table.data caption, table.data thead th, table.data tbody th, footer { cursor: default }
body img.handprint { /*ILD1_edit_resize.png*/
  filter: FlipH;
  left: 2em;
  opacity: 0.2;
  position: absolute;
  top: 200px;
  transform: scaleX(-1);
  z-index: -1;
}
body div.space { /*hook for styling*/
  border-bottom: 1px solid black;
  box-sizing: border-box;
  height: var(--height); /*proportional to 936px width*/
  position: relative; /*DIV*/
}
body div.space img.space {
  opacity: 0.5;
  width: 100%;
}
body div.space div { /*banner*/
  background-color: rgba(0, 0, 0, 0.5); /*black*/
  box-sizing: border-box;
  height: calc(var(--height) - var(--em) * 2);
  left: var(--em);
  padding: var(--em);
  position: absolute;
  top: var(--em);
  width: calc(var(--width) - var(--em) * 2);
  z-index: 1;
}
/*anchor START*/
a {
  color: inherit;
  text-decoration: underline;
  text-decoration-color: rgba(0, 0, 255, calc(1.0 / 3)); /*blue*/
  text-decoration-skip-ink: none;
  text-decoration-style: solid;
  text-decoration-thickness: 0.125em;
  text-underline-offset: 0.125em;
}
a:hover, a:focus {
  color: blue;
  text-decoration: none;
}
a[href^="mailto:"]::after { content: '\00A0 \2709' } /*no-break space followed by envelope*/
::selection, a:focus {
  background-color: rgba(255, 215, 0, calc(1.0 / 3)); /*gold*/
  color: black;
}
.image:focus, .back_to_top:focus { background-color: transparent } /*non-text anchors*/
.image {
  border: 1px solid transparent;
  height: fit-content;
  width: fit-content;
}
.image:focus {
  background-color: transparent;
  border: 1px dashed darkorange; /*visual change to satisfy accessibility*/
}
.image:focus .shadow { box-shadow: 0 0 5px 1px orange } /*visual change to satisfy accessibility*/
.image img { width: inherit }
.orange, .orange:focus { border: 0 } /*non-text anchors*/
.back_to_top {
  bottom: calc(25vh);
  position: fixed;
  right: var(--em);
  z-index: 2;
}
.back_to_top img { opacity: 0.5 }
.back_to_top:hover img {
  animation: feedback 1s; /*visual change to satisfy accessibility*/
  opacity: 1.0; /*end*/
}
.blank { /*blue*/
  background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNCIgaGVpZ2h0PSIyNCIgdmlld0JveD0iMCAwIDI0IDI0IiBmaWxsPSJub25lIiBzdHJva2U9ImJsdWUiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIiBjbGFzcz0iZmVhdGhlciBmZWF0aGVyLWV4dGVybmFsLWxpbmsiPjxwYXRoIGQ9Ik0xOCAxM3Y2YTIgMiAwIDAgMS0yIDJINWEyIDIgMCAwIDEtMi0yVjhhMiAyIDAgMCAxIDItMmg2Ij48L3BhdGg+PHBvbHlsaW5lIHBvaW50cz0iMTUgMyAyMSAzIDIxIDkiPjwvcG9seWxpbmU+PGxpbmUgeDE9IjEwIiB5MT0iMTQiIHgyPSIyMSIgeTI9IjMiPjwvbGluZT48L3N2Zz4=); /*base64*/
  background-size: cover;
  content: '';
  display: inline-block;
  height: 0.85em;
  margin-left: 0.15em;
  margin-top: -0.15em;
  vertical-align: middle;
  width: 0.85em;
}
a:focus .blank { /*black*/
  background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNCIgaGVpZ2h0PSIyNCIgdmlld0JveD0iMCAwIDI0IDI0IiBmaWxsPSJub25lIiBzdHJva2U9ImJsYWNrIiBzdHJva2Utd2lkdGg9IjIiIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIgc3Ryb2tlLWxpbmVqb2luPSJyb3VuZCIgY2xhc3M9ImZlYXRoZXIgZmVhdGhlci1leHRlcm5hbC1saW5rIj48cGF0aCBkPSJNMTggMTN2NmEyIDIgMCAwIDEtMiAySDVhMiAyIDAgMCAxLTItMlY4YTIgMiAwIDAgMSAyLTJoNiI+PC9wYXRoPjxwb2x5bGluZSBwb2ludHM9IjE1IDMgMjEgMyAyMSA5Ij48L3BvbHlsaW5lPjxsaW5lIHgxPSIxMCIgeTE9IjE0IiB4Mj0iMjEiIHkyPSIzIj48L2xpbmU+PC9zdmc+); /*base64*/
}
/*anchor END*/
.chicken { width: 75% }
/*headings START*/
h2 {
  color: #000000;
  cursor: default;
  font-size: 2.2em;
  line-height: 1.1;
  margin-bottom: 1em;
  margin-top: 1em;
  padding-left: var(--em);
  padding-right: var(--em);
}
h2 .Vollkorn-italic { letter-spacing: normal }
.TOC { /*Table of Contents, H2*/
  color: midnightblue; /*same as list marker*/
  font-size: 2.0em;
  margin-bottom: 0.5em;
  margin-top: 1.5em;
}
div.handprint { /*hook for H3 styling*/
  margin-left: 2.5em;
  position: relative; /*handprints*/
}
h3 {
  color: #191919;
  cursor: default;
  font-size: 2.0em; /*same as TOC*/
  line-height: 1.1;
  margin-bottom: 1em;
  margin-top: 1em;
  overflow: clip;
  padding-left: 0.25ch;
  padding-right: var(--em);
}
div.handprint img:first-of-type { /*ERD1_edit_resize.png for H3*/
  bottom: -18.5px;
  filter: FlipH;
  left: -25px;
  opacity: 0.75;
  position: absolute;
  transform: scaleX(-1) rotate(25deg);
  width: 25px;
  z-index: -1;
}
div.handprint img:last-of-type { /*ERD2_edit_resize.png for H3*/
  bottom: -25px;
  left: -35px;
  opacity: 0.25;
  position: absolute;
  transform: scaleX(-1) rotate(71deg);
  width: 50px; /*75px original*/
  z-index: -2;
}
h4 {
  color: #323232;
  cursor: default;
  font-size: 1.8em;
  line-height: 1.1;
  margin-bottom: 0.5em;
  margin-top: 0.5em;
  padding-left: var(--em);
  padding-right: var(--em);
}
aside .aside_h4 { /*H4*/
  color: midnightblue;
  padding-left: 0;
  padding-right: 0;
}
h5 {
  color: #4C4C4C;
  cursor: default;
  font-size: 1.6em;
  line-height: 1.1;
  margin-bottom: 0.5em;
  margin-top: 0.5em;
  padding-left: var(--em);
  padding-right: var(--em);
}
aside .aside_h5 { /*H5*/
  color: darkslateblue;
  padding-left: 0;
  padding-right: 0;
}
h6 {
  color: #666666;
  cursor: default;
  font-size: 1.4em;
  line-height: 1.1;
  margin-bottom: 0.5em;
  margin-top: 0.5em;
  padding-left: var(--em);
  padding-right: var(--em);
}
/*headings END*/
.program {
  color: #383838; /*38 Special*/
  font-size: 1.2em;
  line-height: calc(1em * 1.5); /*baseline*/
  margin-bottom: 2em;
  padding-left: var(--em);
  padding-right: var(--em);
}
.program .Vollkorn-italic, .program .Vollkorn-bold { letter-spacing: calc(0.062em / 2) }
.attention { /*user message*/
  color: darkred;
  line-height: calc(1em * 1.5); /*baseline*/
  margin-bottom: 0;
  margin-top: 1em;
  padding: 0;
}
.attention .underline { text-decoration-color: rgba(114, 47, 55, calc(1.0 / 3)) } /*darkred*/
q { /*inline quote*/
  font-family: Roboto-italic, sans-serif;
  font-size: 0.95em;
  letter-spacing: calc(0.062em / 2);
}
/*blockquote START*/
.fancy {
  box-sizing: border-box;
  color: #383838; /*38 Special*/
  font: 1.4em Vollkorn-italic, serif;
  letter-spacing: calc(0.062em / 2);
  line-height: 1.5;
  /*top, right, bottom, left*/
  margin: 2em var(--em) 3em var(--em);
  /*top, right, bottom, left*/
  padding: 0 0 0 2em; /*left padding matches top margin*/
  position: relative; /*quotation mark*/
}
.fancy:before {
  color: #7A7A7A;
  content: '\201C'; /*left double quotation mark*/
  display: block;
  font-size: 6em;
  left: -0.155em;
  position: absolute;
  top: -0.24em;
}
.fancy cite, .fancy cite:before { color: black }
.fancy cite {
  display: block;
  font-family: Vollkorn, serif;
  font-size: 0.8em;
  font-style: normal;
  letter-spacing: normal;
  padding-top: 0.5em;
}
.fancy cite:before { content: '\2014 \2009' } /*em dash followed by thin space*/
/*blockquote END*/
/*special formatting START*/
p code, ol li code, ul li code { /*inline code*/
  background-color: rgba(173, 216, 230, calc(1.0 / 3)); /*lightblue*/
  border-radius: 0.2rem;
  box-decoration-break: clone;
  font-family: Inconsolata-bold, monospace;
  font-size: inherit;
  letter-spacing: 0.062em;
  margin-left: 0.1rem;
  padding: 0.1rem 0.3rem 0.2rem;
  word-wrap: break-word;
}
aside p code, aside ol li code, aside ul li code { /*inline code*/
  border: 1px solid lightblue;
  border-radius: calc(0.2rem - 1px);
  margin-left: calc(0.1rem - 1px);
  padding: calc(0.1rem - 1px) calc(0.3rem - 1px) calc(0.2rem - 1px);
}
p var, ol li var, ul li var { /*code variables*/
  background-color: rgba(255, 215, 0, calc(1.0 / 3)); /*gold*/
  border-radius: 0.2rem;
  box-decoration-break: clone;
  font-family: Inconsolata-bold, monospace;
  font-size: inherit;
  /*font-style: normal;*/
  letter-spacing: 0.062em;
  margin-left: 0.1rem;
  padding: 0.1rem 0.3rem 0.2rem;
  word-wrap: break-word;
}
aside p var, aside ol li var, aside ul li var { /*code variables*/
  border: 1px solid gold;
  border-radius: calc(0.2rem - 1px);
  margin-left: calc(0.1rem - 1px);
  padding: calc(0.1rem - 1px) calc(0.3rem - 1px) calc(0.2rem - 1px);
}
p samp, ol li samp, ul li samp { /*sample output*/
  color: #383838; /*38 Special*/
  font-family: Source_Code_Pro, monospace;
  letter-spacing: calc(0.062em / 2);
}
p kbd, ol li kbd, ul li kbd { /*keyboard*/
  font-family: Roboto, sans-serif;
  letter-spacing: calc(0.062em / 2);
}
/*special formatting END*/
ol, ul { margin-left: 3em }
ol { list-style-type: upper-roman }
ul { list-style: square }
ol li, ul li { padding-right: 1em }
ol li::marker, ul li::marker { color: midnightblue }
/*H3 references START*/
.references { /*UL*/
  line-height: calc(1em * 1.5); /*baseline*/
  padding-right: 1em;
}
.references li { padding-bottom: 0.5em }
.references li cite { font-style: normal } /*reset*/
/*H3 references END*/
.model {
  padding-left: 1em;
  padding-right: 1em;
  position: relative; /* _diagram.png*/
}
.model p {
  display: inline-block; /*don't know why this is here*/
  margin-top: 1em;
  padding-left: 0;
  padding-right: 0;
}
/*numbered equations START*/
.equation { /*TABLE*/
  margin: 0 auto; /*center the content*/
  width: calc(100% - 2em);
}
td.left, td.center, td.right { background: none }
td.left { width: 15% }
td.center {
  text-align: center;
  width: 70%;
}
td.right {
  position: relative; /*arrow*/
  text-align: right;
  vertical-align: middle;
  width: 15%;
}
/*numbered equations END*/
/*form START*/
div.form {
  padding-left: 1em;
  padding-right: 1em;
  position: relative; /*Doppelt_diagram.png*/
}
div.form tr td span { white-space: nowrap } /*keeps numbers and units together*/
form { position: relative }
table.form tr > td {
  line-height: calc(1em * 1.5); /*baseline*/
  padding-bottom: 1em; /*line break*/
}
table.form tr > td label { cursor: text }
/*form END*/
.percent, .prozent { /*PERCENT is number; PROZENT is symbol*/
  color: slateblue;
  vertical-align: -4px;
}
.percent { padding-left: 1ch }
.prozent { font-family: Inconsolata, monospace }
canvas {
  margin-left: 1em;
  margin-top: 2em;
}
/*aside START*/
aside {
  background-color: #E9EFFF;
  border-bottom: 1px solid #E9EFFF;
  border-top: 1px solid lightblue;
  box-sizing: border-box;
  margin-top: calc(219px / 2); /*half chicken*/
  /*top, right, bottom, left*/
  padding: 1em 1em 0 1em;
  position: relative; /*Notes*/
}
aside p {
  padding-left: 0;
  padding-right: 0;
}
aside ol, aside ul { margin-left: 2em }
aside ol li, aside ul li { padding-right: 0 }
aside hr {
  margin-left: 0;
  margin-right: 0;
}
aside .equation { width: 100% }
aside .notes {
  font: 2.5em Top_Secret, fantasy;
  left: -1ch;
  position: absolute;
  top: -1.1ch;
  transform: rotate(-20deg);
  z-index: 2;
}
aside .text-indent {
  line-height: 1.25;
  margin-bottom: 1.5em;
  margin-top: 0.4em;
  text-indent: 3em;
}
aside .Theropod_dinosaur {
  animation: filter 5.678s infinite;
  border: 0; /*undo default*/
  opacity: 0.5;
  position: absolute;
  right: 0;
  top: -220px;
  z-index: -1;
}
aside .Scratch { width: 100% }
/*aside END*/
iframe {
  height: calc(600px / 2);
  overflow: hidden;
  overflow-x: hidden;
  overflow-y: hidden;
  width: 100%;
}
/*iframe START*/
.menu ul { /*DIV*/
  float: left;
  font-size: 0.9em;
  letter-spacing: 0.062em;
  margin: 0;
  /*top, right, bottom, left*/
  padding: 0 1.2em 0 1.2em;
}
.menu ul li {
  display: inline;
  padding-right: 0;
}
.menu ul li a {
  color: navy;
  float: left;
  /*top, right, bottom, left*/
  padding: 0.5em 0.5em 0.5em 0.5em;
  text-decoration: none;
}
.menu ul li a:hover {
  background-color: rgba(171, 205, 239, 0.5); /*Pale Cornflower Blue*/
  color: black;
}
.menu ul li a:focus { background-color: transparent } /*looks nicer*/
/*iframe END*/
/*styling utilities START*/
.underline {
  text-decoration: underline;
  text-decoration-color: rgba(0, 0, 0, calc(1.0 / 3)); /*black*/
  text-decoration-skip-ink: none;
  text-decoration-style: solid;
  text-decoration-thickness: 0.125em;
  text-underline-offset: 0.125em;
}
.Badaboom_BB { font-family: Badaboom_BB, fantasy }
.Comfortaa { font-family: Comfortaa, sans-serif }
.Cookie { font-family: Cookie, cursive }
.Dot_Matrix { font-family: Dot_Matrix, monospace }
.Inconsolata { font-family: Inconsolata, monospace }
.Inconsolata-bold { font-family: Inconsolata-bold, monospace }
.Roboto { /*matches KBD*/
  font-family: Roboto, sans-serif;
  letter-spacing: calc(0.062em / 2);
}
.Roboto-bold { font-family: Roboto-bold, sans-serif }
.Roboto-italic { font-family: Roboto-italic, sans-serif }
.Source_Code_Pro { font-family: Source_Code_Pro, monospace }
.Source_Code_Pro-bold { font-family: Source_Code_Pro-bold, monospace }
.Vollkorn { font-family: Vollkorn, serif }
.Vollkorn-bold, .Vollkorn-italic { letter-spacing: calc(0.062em / 2) }
.Vollkorn-bold { font-family: Vollkorn-bold, serif }
.Vollkorn-italic { font-family: Vollkorn-italic, serif }
/*styling utilities END*/

@media only screen and (max-width: 936px) { /*design breakpoint*/
  body { width: inherit }
  body img.handprint { width: 50% }
  body div.space { height: calc( 100vw * (151 / 936) ) } /*scale the hook*/
  body div.space img.space {
    height: 100%;
    width: 100%;
  }
  body div.space div { /*banner will scale according to these formulae*/
    height: calc( 100% - 2 * (16px + 16 * (100vw - 936px) / 936) );
    left: calc( 16px + 16 * (100vw - 936px) / 936 );
    padding: calc( 16px + 16 * (100vw - 936px) / 936 );
    top: calc( 16px + 16 * (100vw - 936px) / 936 );
    width: calc( 100% - 2 * (16px + 16 * (100vw - 936px) / 936) );
  }
  .fancy { font-size: 1.3em } /*smaller*/
  aside .notes {
    left: 17px;
    top: -0.5em;
    transform: rotate(0);
  }
  aside .text-indent {
    margin-top: 1.35em;
    text-indent: 0;
  }
  aside .Theropod_dinosaur { opacity: 0.2 } /*same as IMG.HANDPRINT*/
}

@media only screen and (max-width: 600px) { /*ruler breakpoint*/
  .fancy { font-size: 1.2em } /*more smaller*/
  ul { margin-left: 3em }
  iframe { height: calc(150vw) }
  .back_to_top { display: none }
}